* {
  margin: 0;
  padding: 0;
}
body {
  box-sizing: border-box;
  font-family: "Ubuntu", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.container {
  width: 55vw;
  height: 100vh;
  display: flex;
  margin: auto;
}

.left {
  display: flex;
  flex-direction: column;
  background-image: url("/assets/images/bg-sidebar-desktop.svg");
  background-repeat: no-repeat;
  background-size: cover;
  width: 22vw;
  height: 90vh;
  margin-top: 2rem;
  border-radius: 10px;
}

.right {
  display: flex;
  flex-direction: column;
  width: 32vw;
  height: 90vh;
  margin-left: 5rem;
  
}

.right h1 {
  color: hsl(213, 96%, 18%);
  margin-top: 5.5rem;
  font-size: 2.5rem;
}
.right p {
  margin: 0.5rem 0 0.5rem 0;
  color: hsl(231, 11%, 63%);
  font-size: 1rem;
  word-spacing: 5px;
}
label {
  color: hsl(213, 96%, 18%);
}

.left1 span,
.left3 span,
.left4 span {
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid hsl(228, 100%, 84%);
  color: hsl(229, 24%, 87%);
  width: 2rem;
  height: 2rem;
  border-radius: 50%;
}
.span2 {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 2rem;
  height: 2rem;
  background-color: hsl(206, 94%, 87%);
  color: hsl(213, 96%, 18%);
  border-radius: 50%;
}

.div1,
.div2,
.div3,
.div4 {
  display: flex;
  margin: 3rem 3rem;
  height: 3rem;
}
.h3 {
  color: hsl(217, 100%, 97%);
}
.div1 {
  margin-top: 4rem;
}

.right1 {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin-left: 1.4rem;
}
.right1 p {
  color: hsl(229, 24%, 87%);
  font-weight: 300;
  font-size: 1rem;
  margin-bottom: 0.1rem;
}

.cards {
  display: flex;
  justify-content: space-evenly;
  width: 100%;
  margin: 2rem auto;
}
.card1 {
  width: 30%;
  display: flex;
  flex-direction: column;
  background-color: #fff;
  border: 2px solid hsl(229, 24%, 87%);
  height: auto;
  border-radius: 1rem;
  padding-bottom: 10px;
}
.card2 {
  width: 30%;
  display: flex;
  flex-direction: column;
  background-color: #fff;
  border: 2px solid hsl(229, 24%, 87%);
  height: auto;
  border-radius: 1rem;
  padding-bottom: 10px;
}
.card3 {
  width: 30%;
  display: flex;
  flex-direction: column;
  background-color: #fff;
  border: 2px solid hsl(229, 24%, 87%);
  height: auto;
  border-radius: 1rem;
  padding-bottom: 10px;
}
.selected {
  border: 2px solid hsl(213, 96%, 18%);
  background-color: hsl(229, 24%, 87%);
}
.card1:hover,
.card2:hover,
.card3:hover {
  border: 2px solid hsl(213, 96%, 18%);
  cursor: pointer;
  transform: scale(1.05); /* Slightly increase size */
  transition: background-color 0.3s, transform 0.3s;
}
.image {
  width: 5rem;
  height: 3.5rem;
  margin-left: -0.8rem;
  margin-top: 1.8rem;
  margin-bottom: 2rem;
}
.upcard,
.downcard {
  margin-left: 8px;
}
#price1,
#price2,
#price3 {
  margin-left: 1rem;
}
.downcard1 h3,
.downcard2 h3,
.downcard3 h3 {
  color: hsl(213, 96%, 18%);
  margin-top: 1rem;
  margin-left: 1rem;
}
.downcard1 h5,
.downcard2 h5,
.downcard3 h5 {
  color: hsl(213, 96%, 18%);
  margin-left: 1rem;
}

.buttons1 {
  padding: 20px;
  height: auto;
  margin: 2rem 0;
  display: flex;
  justify-content: center;
  background-color: hsl(206, 94%, 87%);
  border-radius: 10px;
  align-items: center;
}
.monthly {
  margin-right: 1rem;
}
.year {
  margin-left: 1rem;
}
/* ----------   Back and next button -------  */
.buttons2 {
  margin-top: 4rem;
  height: 10vh;
  display: flex;
  justify-content: space-between;
}
.formbtn1 {
  border: none;
  width: 5rem;
    text-align: left;
  height: 3rem;
  background-color: transparent;
  font-size: 1rem;
  font-weight: 700;
  border-radius: 10px;
  color: hsl(231, 11%, 63%);
  cursor: pointer;
}
.formbtn2 {
  border: none;
  width: 9rem;
  height: 3rem;
  background-color: hsl(213, 96%, 18%);
  font-size: 1rem;
  font-weight: 700;
  border-radius: 10px;
  color: hsl(229, 24%, 87%);
  cursor: pointer;
}

/* ---- ----- - --- -- - -- - - -- ----------  */

/* ------------------------- Togggle button -------  */
.switch {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 30px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #03295a;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 24px;
  width: 26px;
  left: 3px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #03295a;
}

input:focus + .slider {
  box-shadow: 0 0 1px #03295a;
}

input:checked + .slider:before {
  -webkit-transform: translateX(18px);
  -ms-transform: translateX(18px);
  transform: translateX(18px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 30px;
}

.slider.round:before {
  border-radius: 50%;
}




@media (max-width:375px)
{
  .container{
    flex-direction: column;
    border:none;
    width:95vw;
    margin-top: 0;
  }
  .left{
    background: url('../assets/images/bg-sidebar-mobile.svg');
    flex-direction: row;
    width: 100%;
    height: 20vh;
    background-repeat: no-repeat;
    background-size: cover;
    border: none;

  }
  .right{
    margin:0;
    width: 80%;
    flex-direction:column ;
     margin-top: -4.5rem;
    background-color: white;
    margin-left: 2rem;
    border-radius: 10px;
    padding: 10px; 
    box-shadow: 1px 1px 5px  hsl(231, 11%, 63%);
  }
  .right1{
    display: none;
  }  
  .div1,.div2,.div3,.div4{
    margin:0;
    justify-content: center;
    align-items: center;
    margin-left: 2rem;
    margin-top: 2rem;
  }
   .div1{
    margin-left: 4rem;
  }
  .right h1{
    margin-top: 0;
  }
  .right1{
    display: none;
  } 
   .left1,.left2,.left3,.left4{
    display: flex;
    justify-content: center;
  } 
  .formbtn{
    margin-left: 35vw;
  }
  #price1,
#price2,
#price3 {
  margin-left: 5px;
}
.downcard1 h3,
.downcard2 h3,
.downcard3 h3 {
  
  margin-left: 5px;
}
}